Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrArithmeticOperand

    java.lang.Object
      org.modeshape.graph.query.model.ArithmeticOperand
          org.modeshape.jcr.query.qom.JcrArithmeticOperand

All Implemented Interfaces:
  Serializable, Operand, DynamicOperand, LanguageObject, Visitable, ArithmeticOperand, JcrDynamicOperand

    public class JcrArithmeticOperand

extends ArithmeticOperand
implements ArithmeticOperand, JcrDynamicOperand

See Also:
  Serialized Form

Constructor Summary
`JcrArithmeticOperand(JcrDynamicOperand left, ArithmeticOperator operator, JcrDynamicOperand right)` Create a arithmetic dynamic operand that operates upon the supplied operand(s).

Method Summary
`DynamicOperand` | `getLeft()` Get the left-hand operand.
`String` | `getOperator()` Get the operator for this binary operand.
`DynamicOperand` | `getRight()` Get the right-hand operand.
`JcrDynamicOperand` | `left()` Get the left-hand operand.
`JcrDynamicOperand` | `right()` Get the right-hand operand.

Methods inherited from class org.modeshape.graph.query.model.ArithmeticOperand
`accept, equals, hashCode, operator, selectorNames, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.DynamicOperand
`selectorNames`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrArithmeticOperand

    public JcrArithmeticOperand(JcrDynamicOperand left,
                                ArithmeticOperator operator,
                                JcrDynamicOperand right)

  Create a arithmetic dynamic operand that operates upon the supplied operand(s).

  Parameters:
    `left` - the left-hand-side operand
    `operator` - the arithmetic operator; may not be null
    `right` - the right-hand-side operand
  Throws:
    `IllegalArgumentException` - if any of the arguments is null

Method Detail

### left

    public JcrDynamicOperand left()

  Get the left-hand operand.

  Overrides:
    `left` in class `ArithmeticOperand`
  Returns:
    the left-hand operator; never null
  See Also:
    `ArithmeticOperand.left()`

### right

    public JcrDynamicOperand right()

  Get the right-hand operand.

  Overrides:
    `right` in class `ArithmeticOperand`
  Returns:
    the right-hand operator; never null
  See Also:
    `ArithmeticOperand.right()`

### getLeft

    public DynamicOperand getLeft()

  Get the left-hand operand.

  Specified by:
    `getLeft` in interface `ArithmeticOperand`
  Returns:
    the left-hand operator; never null
  See Also:
    `ArithmeticOperand.getLeft()`

### getRight

    public DynamicOperand getRight()

  Get the right-hand operand.

  Specified by:
    `getRight` in interface `ArithmeticOperand`
  Returns:
    the right-hand operator; never null
  See Also:
    `ArithmeticOperand.getRight()`

### getOperator

    public String getOperator()

  Get the operator for this binary operand.

  Specified by:
    `getOperator` in interface `ArithmeticOperand`
  Returns:
    the operator; never null
  See Also:
    `ArithmeticOperand.getOperator()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.